function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_hall"
end

function p.main()
    set_default_block("s")
    
    create_rect("dandelion", 1,1,1, 14,14,14)
    std.create_half_tube(3,"x_neg","dandelion")

    --Some platforms.
    create_rect("s", 3,3,3, 6,3,3)
    create_rect("s", 3,3,4, 3,4,4)

    create_rect("s", 6,6,6, 8,8,6)

    local msg_str = "The get_input_adj_bt function can be used "
        .. "by the main function to determine the block type "
        .. "of any chunk in the 5x5x5 surrounding region.\n\n"
        .. "The air in this room is filled with dandelion type blocks, "
        .. "but that block is programmed only to grow if the "
        .. "block below it has type \"s\"."
    add_bent_s(7,7,8,"bent_base_txt",msg_str)

    add_bent(14,14,14, "bent_base_ring_green")    
    --
    set_pos(14,1,14, "r_expander")
    set_pos(14,1,13, "grow")
end
